import type { PropertyLineProps } from "./propertyLine.js";
import type { FunctionComponent } from "react";
import type { InputHexProps } from "../primitives/colorPicker.js";
/**
 * Wraps a hex input in a property line
 * @param props - PropertyLineProps and InputHexProps
 * @returns property-line wrapped input hex component
 */
export declare const HexPropertyLine: FunctionComponent<InputHexProps & PropertyLineProps>;
