import { jsx as _jsx } from "react/jsx-runtime";
import { PropertyLine } from "./propertyLine.js";
import { InputHexField } from "../primitives/colorPicker.js";
/**
 * Wraps a hex input in a property line
 * @param props - PropertyLineProps and InputHexProps
 * @returns property-line wrapped input hex component
 */
export const HexPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, children: _jsx(InputHexField, { ...props }) }));
};
//# sourceMappingURL=hexLineComponent.js.map