import type { PropertyLineProps } from "./propertyLine.js";
import type { FunctionComponent } from "react";
type LinkProps = {
    value: string;
    tooltip?: string;
    onLink?: () => void;
    url?: string;
};
/**
 * Wraps a link in a property line
 * @param props - PropertyLineProps and LinkProps
 * @returns property-line wrapped link
 */
export declare const LinkPropertyLine: FunctionComponent<PropertyLineProps & LinkProps>;
export {};
