import type { Nullable } from "@babylonjs/core/types.js";
import type { GraphFrame } from "../graphFrame.js";
import type { GraphNode } from "../graphNode.js";
import type { NodeLink } from "../nodeLink.js";
import type { NodePort } from "../nodePort.js";
import type { FramePortData } from "../types/framePortData.js";
export interface ISelectionChangedOptions {
    selection: Nullable<GraphNode | NodeLink | GraphFrame | NodePort | FramePortData>;
    forceKeepSelection?: boolean;
    marqueeSelection?: boolean;
}
